[arch-commits] Commit in libqalculate/trunk (ChangeLog PKGBUILD)

Eric Bélanger eric at archlinux.org
Thu Jun 18 15:31:59 EDT 2009


    Date: Thursday, June 18, 2009 @ 15:31:58
  Author: eric
Revision: 42738

upgpkg: libqalculate 0.9.6-5
    Rebuilt against readline 6.0.00

Modified:
  libqalculate/trunk/ChangeLog
  libqalculate/trunk/PKGBUILD

-----------+
 ChangeLog |    5 +++++
 PKGBUILD  |    8 ++++----
 2 files changed, 9 insertions(+), 4 deletions(-)

Modified: ChangeLog
===================================================================
--- ChangeLog	2009-06-18 19:31:58 UTC (rev 42737)
+++ ChangeLog	2009-06-18 19:31:58 UTC (rev 42738)
@@ -1,3 +1,8 @@
+2009-06-18  Eric Belanger  <eric at archlinux.org>
+
+	* libqalculate 0.9.6-5
+	* Rebuilt against readline 6.0.00
+
 2008-07-21  Eric Belanger  <eric at archlinux.org>
 
 	* libqalculate 0.9.6-3

Modified: PKGBUILD
===================================================================
--- PKGBUILD	2009-06-18 19:31:58 UTC (rev 42737)
+++ PKGBUILD	2009-06-18 19:31:58 UTC (rev 42738)
@@ -5,12 +5,12 @@
 
 pkgname=libqalculate
 pkgver=0.9.6
-pkgrel=4
+pkgrel=5
 pkgdesc="Multi-purpose desktop calculator"
 arch=('i686' 'x86_64')
 url="http://qalculate.sourceforge.net/"
 license=('GPL')
-depends=('libxml2' 'cln>=1.2.0' 'glib2' 'ncurses>=5.6-7')
+depends=('libxml2' 'cln>=1.2.0' 'glib2' 'ncurses>=5.6-7' 'readline>=6.0.00')
 makedepends=('perlxml')
 optdepends=('gnuplot: for plotting support' 'wget or gnome-vfs: for retrieval of exchange rates (not needed if you use one of the GUI)')
 options=('!libtool' '!makeflags')
@@ -25,12 +25,12 @@
           '0bcee9493e17702719db06fbac1f2d45888b54b0')
 
 build() {
-  cd ${srcdir}/${pkgname}-${pkgver}
+  cd "${srcdir}/${pkgname}-${pkgver}"
   patch -p1 < ../libqalculate-0.9.6-cln-config.patch || return 1
   patch -p1 < ../libqalculate-0.9.6-cl_abort.patch || return 1
   patch -p1 < ../libqalculate-0.9.6-gcc4.3.patch || return 1
   autoconf || return 1
   ./configure --prefix=/usr --disable-clntest || return 1
   make || return 1
-  make DESTDIR=${pkgdir} install || return 1
+  make DESTDIR="${pkgdir}" install || return 1
 }



More information about the arch-commits mailing list